#ifndef __APPPROTOS__
#define __APPPROTOS__


#ifndef __DLPROTOS__
#include "DTS.Lib.protos.h"
#endif

#ifndef __DRAG__
#include <Drag.h>
#endif

/* NOTE:  These prototypes are in a single file as they are the standard functions
**        functions for this application shell.  You may wish to have separate
**        files for the prototypes of functions you add to the shell.  They are all
**        here in a single file for simplicity. */



/************** Clipboard.c **************/

OSErr			GetClipboardWindow(WindowPtr *clipWind);
OSErr			ClipboardInitDocument(FileRecHndl frHndl);
void			DoClipboard(FileRecHndl frHndl, short menuItem);



/************** Color.c **************/

OSErr			ChangeColor(FileRecHndl frHndl, WindowPtr window, short part);



/************** DoEvent.c **************/

void			DoEvent(EventRecord *event);



/************** Drag.c **************/

Boolean			DragDropAvailable(void);
OSErr			ManageDragHandlers(WindowPtr window, Boolean install);
OSErr			DoDrag(FileRecHndl frHndl, EventRecord *event);



/************** EventLoop.c **************/

void			EventLoop(void);



/************** IdleTasks.c **************/

void			DoIdleTasks(EventRecord *event);



/************** Menu.c **************/

Boolean			DoAdjustFileMenu(WindowPtr window);
Boolean			DoAdjustEditMenu(WindowPtr window);
Boolean			DoAdjustArrangeMenu(WindowPtr window);
Boolean			DoAdjustOtherMenu(WindowPtr window);



/************** PenSizeDialog.c **************/

OSErr			PENSInitContent(FileRecHndl frHndl, WindowPtr window);
OSErr			PENSFreeWindow(FileRecHndl frHndl, WindowPtr window);



/************** ToolPalette.c **************/

OSErr			ToolInitDocument(FileRecHndl frHndl);
void			SetPaletteTool(short tool);
short			GetTool(void);
Boolean			GetToolPersistence(void);



/************** Window.c **************/

OSErr			DuplicateDocument(FileRecHndl oldFrHndl, FileRecHndl *newFrHndl);
void			DoDelete(FileRecHndl frHndl);
void			DoArrange(FileRecHndl frHndl, short menuItem);
Rect			GetSelectedArea(TreeObjHndl root);
Rect			GetDataArea(TreeObjHndl root);
void			SetDataArea(TreeObjHndl root, short h, short v);
void			DoGroup(FileRecHndl frHndl);
void			DoUngroup(FileRecHndl frHndl);
void			NewDocumentUndo(FileRecHndl frHndl);



#endif
